#
# spec file for package python-Nikola
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define   	pkgname  Nikola
Name:           python-Nikola
Version:        7.8.1
Release:        1.2
Summary:        A Static Site and Blog Generator
License:        MIT
Group:          Development/Languages/Python
Url:            https://getnikola.com/
Source:         https://pypi.python.org/packages/74/eb/dd9859bb83874f423df4262e2c7d856331bbfad6047251cd3d6410940a97/Nikola-7.8.1.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  fdupes
BuildRequires:  python-devel
BuildRequires:  python-setuptools
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%if %{?suse_version: %{suse_version} > 1110} %{!?suse_version:1}
BuildArch:      noarch
%endif

Requires:       python-Logbook
Requires:       python-Mako
Requires:       python-Pillow
Requires:       python-PyRSS2Gen
Requires:       python-Pygments
Requires:       python-Unidecode
Requires:       python-Yapsy
Requires:       python-blinker
Requires:       python-dateutil
Requires:       python-docutils
Requires:       python-doit >= 0.19
Requires:       python-lxml
Requires:       python-natsort
Requires:       python-pyinotify
Requires:       python-pytz
Requires:       python-xml

%description
Nikola, a Static Site and Blog Generator
In goes content, out comes a website, ready to deploy.

%prep
%setup -q -n %{pkgname}-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot} --install-data=%{_datadir}/nikola
(mkdir -p %{buildroot}%{_bindir};cd %{buildroot}%{_bindir};mv nikola nikola-%{py_ver})
%fdupes %{buildroot}%{python_sitelib}
# Don't wan't installed by package datas
rm -r %{buildroot}%{_datadir}/nikola

%files
%defattr(-,root,root,-)
%doc docs/manual.txt docs/theming.txt docs/extending.txt
%{python_sitelib}/*
%_bindir/nikola-%{py_ver}

%changelog
* Sat Jul 12 2014 boris@steki.net
- Update to version 7.0.1 (from 6.2.1)
  + added -e, --edit parameter to new_post and new_page to open
    $EDITOR after creation (Issue #1294)
  + use of ISO 8601 dates
  + nikola command line more robust plugin, readline
  + Imported new bootstrap 2.3.2 code
  + Imported new bootstrap3 3.1.1 code
  + Natural sort of files and galeries
  + Don’t publish email addresses in RSS, use author name via Dublin Core
  + New --browser/-b option on the serve command to open instantly in a web browser
  + TIMEZONE now defaults to UTC
  + Fixed wrong license from GPL to correct MIT
    Package was pushed from private repo without proofreading license text
  + Please read all changes in file:
    /usr/share/doc/packages/<packagename>/CHANGES-6.2.1_to_7.0.1.txt
- used fdupes to remove file duplicates
- added requirements for python libraries:
  + python-dateutil
  + python-natsort
* Sun Dec  8 2013 p.drouand@gmail.com
- Update to version 2.6.1
  + Default themes adds semantic meanings to posts using h-entry
    (a microformats2) and HTML 5 microdata (Issue #867)
  + New "hidetitle" metadata to suppress printing a title as heading
    (Issue #584)
  + Template systems can now render to and from a string. (Issue #881)
  + New event for newly deployed posts (Issue #882)
  + Fixed some locale problems in posix systems (Issues #886, #884, #875)
  + Don’t include BLOG_DESCRIPTION as meta tag on tag and gallery pages
    (Issue #876)
* Mon Oct 28 2013 p.drouand@gmail.com
- Correct PyRSS2Gen requirement
- Change group for correct one
- Remove documentation files installed in wrong directory by package
* Sun Oct 27 2013 axel.braun@gmx.de
-updated to 6.2.0, change spec to download service
* Tue Apr  2 2013 boris@steki.net
- updated to latest upstream version 5.4.2
* Tue Aug 14 2012 boris@steki.net
- initial packaging
